# RadioLib: CADScanConfig_t Struct Reference

CADScanConfig_t Struct Reference

Channel scan configuration interpretation in case LoRa CAD is used. More...

`#include <PhysicalLayer.h>`

## Public Attributes

uint8_t | symNum
| Number of symbols to consider signal present.
uint8_t | detPeak
| Number of peak detection symbols.
uint8_t | detMin
| Number of minimum detection symbols.
uint8_t | exitMode
| Exit mode after signal detection is complete - module-specific value.
RadioLibTime_t | timeout
| Timeout in microseconds.
RadioLibIrqFlags_t | irqFlags
| Optional IRQ flags to set, bits offset by the value of RADIOLIB_IRQ_.
RadioLibIrqFlags_t | irqMask
| Optional IRQ mask to set, bits offset by the value of RADIOLIB_IRQ_.

## Detailed Description

Channel scan configuration interpretation in case LoRa CAD is used.

The documentation for this struct was generated from the following file:

- src/protocols/PhysicalLayer/PhysicalLayer.h